SUM(1)

NAZWA
sum - sprawdź sumę kontrolną i policz bloki w pliku

SKŁADNIA
sum [-rs] [--sysv] [--help] [--version] [plik...]

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo sum
lub
    info sum.

Ta strona podręcznika opisuje polecenie sum w wersji GNU.

sum oblicza 16-bitową sumę kontrolną dla każdego podanego pliku, albo standardowego wejścia jeśli nie podano żadnego lub podano plik zwany '-'. Wypisuje on sumę kontrolną dla każdego pliku, razem z liczbą bloków w pliku (zaokrągloną w górę). Domyślnie wypisywana jest także każda odpowiednia nazwa pliku, jeśli podano co najmniej dwa pliki. Z opcją --sysv odpowiednie nazwy plików są wypisywane gdy podano przynajmniej jeden argument będący plikiem. Domyślnie, GNU sum oblicza sumy kontrolne używając algorytmu zgodnego z BSD sum i wypisuje rozmiary plików w jednostkach kilobajtowych bloków.

OPCJE

-r  Używa domyślnego algorytmu (zgodnego z BSD). Ta opcja jest załączona dla zgodności z sum z System V. Nie wywołuje ona efektu, chyba że podano także opcję -s, którą unieważnia.

-s, --sysv
    Oblicza sumy kontrolne używając algorytmu zgodnego z używanym przez sum z System V i wypisuje rozmiary plików w jednostkach 512-bajtowych bloków, a nie kilobajtowych.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz. ang., do <bug-textutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
wc(1), cksum(1), md5sum(1), textutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi tekstowych GNU wersji 2.0.